Skip to main content
GET
Get assistant channel

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

channel_id
string
required

The ID of the assistant channel

Response

200 - application/json

The assistant channel details.

Schema for an assistant channel

id
string
required
enabled
boolean
required
channel_type
enum<string>
required

The channel type

Available options:
internal,
org,
agent,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
slack_bot,
teams_bot,
gmail,
outlook,
twilio,
telnyx,
email,
smpp
assistant_id
string
required
connection_id
string | null
required
config
object
required

Configuration object for the assistant integration

error
string | null
required
platform_url
string | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required